记录我工作学习生活中的点点滴滴......

升级angularjs为1.3.0踩到的坑
发布于 AngularJS
2014-10-15 17:23:25
3807
0

angularjs踩的坑真多,买的书是老版本的,学的时候拿新版本学,结果发现语法有些不一样,踩了不少坑。今天发现angularjs1.3.0终于不咋beta正式发布了,于是升级到了这个最新版,结果整个站点不行了。报错如下

showlist not a function

showlist是我定义的控制器,命名是控制器怎么说不是一个函数?从console完全可以正常调用。

最后发现是控制器不允许这样写了,需要改为下面的格式的

app.controller('showlist',function($scope){
})




分享本文到:
除非特殊注明,本文版权归原作者所有,欢迎转载!转载请注明版权以及本文地址,谢谢。
转载保留版权:Pakey's BLog >>AngularJS >>升级angularjs为1.3.0踩到的坑
本文地址:http://www.pakey.net/blog/ShengJiangularjsWei1-3-0CaiDaoDeKeng.html